> This page is for version Generative (default).
> For other versions, use one of these documentation indexes:
> - Generative (default): https://developers.ada.cx/generative/llms.txt
> - Scripted: https://developers.ada.cx/scripted/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.ada.cx/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.ada.cx/_mcp/server.

# List integrations

GET https://example.ada.support/api/v2/platform-integrations/

Get a list of platform integrations owned by your Ada account (e.g. a developer sandbox)

Reference: https://developers.ada.cx/reference/integrations/get-platform-integrations

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `cursor` (string, optional) — The id that marks the start or beginning of the returned records
- `limit` (integer, optional) — The number of records to return

## Response

### 200

Platform integrations

- `data` (list of PlatformIntegration, optional)
- `meta` (PaginationMetadata, optional)

## Types

### PlatformIntegration

- `id` (string, required) — The unique identifier for the integration
- `identifier_field_path` (string, required) — JMESPath describing which of the fields in `configuration_fields` is the best human-friendly field to use to identify a specific installation (e.g., account name)
- `status` (string, required) — The current state of the integration (development, approved, archived)
- `author` (string, optional) — The name of the integration developer
- `call_to_action` (string, optional) — The call to action text
- `configuration_fields` (IntegrationCommonFieldsConfigurationFields, optional) — A json-schema describing the settings fields that a user should be presented with when installing the integration
- `contact` (string, optional) — The URL or email address where users of the integration can reach out for support
- `created` (string, optional) — The date the integration was created
- `description` (string, optional) — A description of what the integration does and how to use it
- `error_codes` (IntegrationCommonFieldsErrorCodes, optional) — An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed
- `name` (string, optional) — The name of the integration
- `oauth_callback_url` (string, optional) — The `get` endpoint that will be invoked after OAuth authorization
- `scopes` (list of string, optional) — The list of OAuth token permissions the integration requests when installed
- `tags` (list of enum, optional) — A list of tags that describe the type of integration
  - Allowed values: `knowledge`
- `uninstallation_url` (string, optional) — The `delete` endpoint that initiates the uninstallation flow for the integration
- `updated` (string, optional) — The date the integration was last updated

### PaginationMetadata

- `next_page_url` (string, optional) — The URL to the next page of results

### IntegrationCommonFieldsConfigurationFields

A json-schema describing the settings fields that a user should be presented with when installing the integration

### IntegrationCommonFieldsErrorCodes

An object containing error codes and their corresponding error message the integration may return to the OAuth failure page to be displayed

## Examples

**Response**

```json
{
  "data": [
    {
      "id": "5df263b7db5a7e6ea03fae9b",
      "identifier_field_path": "credentials.knowledgeHubUrl",
      "status": "development",
      "call_to_action": "Connect to Cool Shop Knowledge Hub",
      "created": "2020-09-20T00:00:00+00:00",
      "updated": "2020-09-20T00:00:00+00:00"
    }
  ],
  "meta": {
    "next_page_url": "http://example.ada.support/api/v2/api-name?cursor=6658f91ea88ff7e389eff34d"
  }
}
```

**SDK Code**

```python 
import requests

url = "https://example.ada.support/api/v2/platform-integrations/"

querystring = {"cursor":"5f7e0e2c1e7c7e000f0f9c3a","limit":"10"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript 
const url = 'https://example.ada.support/api/v2/platform-integrations/?cursor=5f7e0e2c1e7c7e000f0f9c3a&limit=10';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.ada.support/api/v2/platform-integrations/?cursor=5f7e0e2c1e7c7e000f0f9c3a&limit=10"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 
require 'uri'
require 'net/http'

url = URI("https://example.ada.support/api/v2/platform-integrations/?cursor=5f7e0e2c1e7c7e000f0f9c3a&limit=10")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java 
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.ada.support/api/v2/platform-integrations/?cursor=5f7e0e2c1e7c7e000f0f9c3a&limit=10")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php 
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.ada.support/api/v2/platform-integrations/?cursor=5f7e0e2c1e7c7e000f0f9c3a&limit=10', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp 
using RestSharp;

var client = new RestClient("https://example.ada.support/api/v2/platform-integrations/?cursor=5f7e0e2c1e7c7e000f0f9c3a&limit=10");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift 
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://example.ada.support/api/v2/platform-integrations/?cursor=5f7e0e2c1e7c7e000f0f9c3a&limit=10")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```